VERSION 4.00
Begin VB.Form frmPageSetup 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Page Setup"
   ClientHeight    =   1305
   ClientLeft      =   3075
   ClientTop       =   2730
   ClientWidth     =   2940
   Height          =   1710
   Left            =   3015
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1305
   ScaleWidth      =   2940
   ShowInTaskbar   =   0   'False
   Top             =   2385
   Width           =   3060
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   1860
      TabIndex        =   6
      Top             =   780
      Width           =   975
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   1860
      TabIndex        =   5
      Top             =   240
      Width           =   975
   End
   Begin VB.Frame Frame1 
      Caption         =   "Margins"
      Height          =   1155
      Left            =   60
      TabIndex        =   0
      Top             =   60
      Width           =   1695
      Begin VB.TextBox txtRight 
         Height          =   285
         Left            =   660
         TabIndex        =   4
         Top             =   720
         Width           =   855
      End
      Begin VB.TextBox txtLeft 
         Height          =   285
         Left            =   660
         TabIndex        =   2
         Top             =   300
         Width           =   855
      End
      Begin VB.Label Label2 
         Caption         =   "&Right:"
         Height          =   315
         Left            =   120
         TabIndex        =   3
         Top             =   780
         Width           =   495
      End
      Begin VB.Label Label1 
         Caption         =   "&Left:"
         Height          =   255
         Left            =   120
         TabIndex        =   1
         Top             =   360
         Width           =   375
      End
   End
End
Attribute VB_Name = "frmPageSetup"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit






'*************************************************
' Purpose:  Unload the form
'*************************************************
Private Sub cmdCancel_Click()
    Unload Me
End Sub

'*************************************************
' Purpose:  Update the formatting of the text in
'           the active RTF control.
'*************************************************
Private Sub cmdOK_Click()
    ' validate margin values in text boxes
    If Val(txtLeft.TEXT) < 0 Then
        Beep 'beep..beep..beep
        ' show error
        MsgBox "Left margin must be no less than zero inches.", 16, "Margin Out Of Range"
        'select box with error
        txtLeft.SelStart = 0
        txtLeft.SelLength = Len(txtLeft.TEXT)
        'set focus to box
        txtLeft.SetFocus
    ElseIf Val(txtRight.TEXT) < 0 Then
        Beep
        ' show error message
        MsgBox "Right margin must be no less than zero inches.", 16, "Margin Out Of Range"
        'select text with  error
        txtRight.SelStart = 0
        txtRight.SelLength = Len(txtRight.TEXT)
        'set focus to text
        txtRight.SetFocus
    Else
        'passed checks
        ' variables to store old selection
        Dim lngOldStart As Long
        Dim lngOldLength As Long
        With frmMDIForm1.ActiveForm.rtfRichTextBox1
            ' save old text selection
            lngOldStart = .SelStart
            lngOldLength = .SelLength
            ' select entire document
            .SelStart = 0
            .SelLength = Len(.TEXT)
            ' set new margins
            ' the value needs to be converted to twips
            ' for acuracy.  There are 1440 Twips/Inch.
            .SelIndent = CInt(Val(txtLeft.TEXT) * 1440)
            .SelRightIndent = CInt(Val(txtRight.TEXT) * 1440)
            ' restore old selection
            .SelStart = lngOldStart
            .SelLength = lngOldLength
        End With
        'unload form
        Unload Me
    End If
End Sub

'*************************************************
' Purpose:  Initialize form with margin values
'*************************************************
Private Sub Form_Load()
    With frmMDIForm1.ActiveForm.rtfRichTextBox1
        ' variables to store new values
        Dim sglLeft As Single
        Dim sglRight As Single
        ' here the variables get set.
        ' I go through some extra steps to make sure
        ' I do not lose precision when converting
        ' integers to floatig-point values.
        sglLeft = .SelIndent
        sglLeft = sglLeft / 1440#
        sglLeft = CInt(sglLeft * 100#)
        sglLeft = sglLeft / 100#
        txtLeft.TEXT = Trim(Str(sglLeft))
        sglRight = .SelRightIndent
        sglRight = sglRight / 1440#
        sglRight = CInt(sglRight * 100#)
        sglRight = sglRight / 100#
        txtRight.TEXT = Trim(Str(sglRight))
    End With
End Sub


