VERSION 4.00
Begin VB.Form mdiDocForm 
   Caption         =   "(Untitled)"
   ClientHeight    =   5820
   ClientLeft      =   1065
   ClientTop       =   2070
   ClientWidth     =   7245
   Height          =   6510
   Icon            =   "DocForm.frx":0000
   Left            =   1005
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   5820
   ScaleWidth      =   7245
   ShowInTaskbar   =   0   'False
   Top             =   1440
   Width           =   7365
   Begin VB.PictureBox picRuler 
      BackColor       =   &H0080FFFF&
      ForeColor       =   &H00000000&
      Height          =   435
      Left            =   60
      ScaleHeight     =   0.281
      ScaleMode       =   5  'Inch
      ScaleWidth      =   4.948
      TabIndex        =   1
      TabStop         =   0   'False
      Top             =   0
      Width           =   7155
   End
   Begin VB.Shape shpTabArr 
      FillStyle       =   0  'Solid
      Height          =   75
      Index           =   0
      Left            =   120
      Shape           =   1  'Square
      Top             =   360
      Visible         =   0   'False
      Width           =   75
   End
   Begin RichtextLib.RichTextBox rtfRichTextBox1 
      Height          =   5295
      Left            =   60
      TabIndex        =   0
      Top             =   480
      Width           =   7155
      _Version        =   65536
      _ExtentX        =   12621
      _ExtentY        =   9340
      _StockProps     =   69
      BackColor       =   -2147483643
      ScrollBars      =   3
      TextRTF         =   $"DocForm.frx":030A
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileNew 
         Caption         =   "&New..."
         Shortcut        =   ^N
      End
      Begin VB.Menu mnuFileOpen 
         Caption         =   "&Open..."
         Shortcut        =   ^O
      End
      Begin VB.Menu mnuFileClose 
         Caption         =   "&Close"
      End
      Begin VB.Menu mnusep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileSave 
         Caption         =   "&Save"
         Shortcut        =   ^S
      End
      Begin VB.Menu mnuFileSaveAs 
         Caption         =   "Save &As..."
      End
      Begin VB.Menu mnuFileSaveAll 
         Caption         =   "Save Al&l"
      End
      Begin VB.Menu mnusep6 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFilePageSetup 
         Caption         =   "Page Set&up..."
      End
      Begin VB.Menu mnuFilePrint 
         Caption         =   "&Print..."
         Shortcut        =   ^P
      End
      Begin VB.Menu mnusep2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuEdit 
      Caption         =   "&Edit"
      Begin VB.Menu mnuEditUndo 
         Caption         =   "&Undo"
      End
      Begin VB.Menu mnusep7 
         Caption         =   "-"
      End
      Begin VB.Menu mnuEditCut 
         Caption         =   "Cu&t"
      End
      Begin VB.Menu mnuEditCopy 
         Caption         =   "&Copy"
      End
      Begin VB.Menu mnuEditPaste 
         Caption         =   "&Paste"
      End
      Begin VB.Menu mnuEditClear 
         Caption         =   "Cle&ar"
         Shortcut        =   {DEL}
      End
      Begin VB.Menu mnuEditSelectAll 
         Caption         =   "Select A&ll"
         Shortcut        =   ^A
      End
      Begin VB.Menu mnusep8 
         Caption         =   "-"
      End
      Begin VB.Menu mnuEditFind 
         Caption         =   "&Find"
         Shortcut        =   ^F
      End
      Begin VB.Menu mnuEditReplace 
         Caption         =   "R&eplace"
         Shortcut        =   ^H
      End
   End
   Begin VB.Menu mnuFormat 
      Caption         =   "F&ormat"
      Begin VB.Menu mnuFormatFont 
         Caption         =   "&Font..."
      End
      Begin VB.Menu mnuFormatParagraph 
         Caption         =   "&Paragraph..."
      End
      Begin VB.Menu mnuFormatTabs 
         Caption         =   "&Tabs..."
      End
      Begin VB.Menu mnuSep9 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFormatBullets 
         Caption         =   "&Bullet"
      End
   End
   Begin VB.Menu mnuWindow 
      Caption         =   "&Window"
      Begin VB.Menu mnuWindowNewWindow 
         Caption         =   "&New Window"
      End
      Begin VB.Menu mnuWindowArrangeAll 
         Caption         =   "&Arrange All"
      End
      Begin VB.Menu mnuWindowSplit 
         Caption         =   "S&plit"
      End
      Begin VB.Menu mnusep4 
         Caption         =   "-"
      End
      Begin VB.Menu mnuWindowOpenFiles 
         Caption         =   "Open File &List"
         WindowList      =   -1  'True
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "&About Rich Text Editor Sample..."
      End
   End
End
Attribute VB_Name = "mdiDocForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit
Public mintShpCnt As Integer 'number of shapes on form

Dim mblnLoading As Boolean 'flag for Form.Load


'*************************************************
' Purpose:  Draws the TabStops in Picture
' Inputs:   mdiFrm:     The form with the ruler
'                       picture being drawn into.
'*************************************************
Sub DrawTabs(mdiFrm As Form)
    Dim intI As Integer 'counter

    mdiFrm.picRuler.ScaleMode = 1 'twips

    ' loop through tabs
    For intI = 0 To mdiFrm.rtfRichTextBox1.SelTabCount - 1
        Dim intXCurTab As Integer 'current tab Left X coord
        Dim intYBot As Integer   ' Bottom Y coord
        Dim intYTop As Integer 'Top Y coord

        ' The tab value
        intXCurTab = mdiFrm.rtfRichTextBox1.SelTabs(intI)
        ' the bottom position of the tab box.
        intYBot = mdiFrm.picRuler.Height - 30
        ' the top position of the tab box.
        intYTop = intYBot - 60
        'draw tab.
        mdiFrm.picRuler.Line (intXCurTab, intYTop)-(intXCurTab + 60, intYBot), , BF
    Next intI
End Sub



'*************************************************
' Purpose:  Draws the Ruler w/TabStops in Picture
' Inputs:   mdiFrm:     The form with the ruler picture
'                       being drawn into.
'           intFrom:    The beginning position in inches.
'           intTo:      The ending position in inches.
'*************************************************
Sub DrawRuler(mdiFrm As Form, intFrom As Single, intTo As Single)
    Dim sngStartPos As Single 'where drawing starts
    Dim sngHeight As Single 'height of line (ruler tick)
    Dim sglTextTop As Single 'top position for text
    Dim intI As Integer 'counter

    sngStartPos = 30# / 1440# 'convert to inches

    With mdiFrm.picRuler
        .Cls ' clear picture
        .ScaleMode = 5 'scale mode = inches
        .FontName = "Arial"
        .FontSize = 8

        For intI = 0 To (intTo * 8)
            Select Case intI Mod 8
                Case 0
                    sngHeight = 240# / 1440# ' convert to inches
                    If intI > 0 Then
                        .CurrentY = (.Height / 1440#) - .TextHeight("A") - (240# / 1440#)
                        .CurrentX = sngStartPos + (intI * 0.125) - (.TextWidth(Str$(intI / 8)) / 2#)
                        mdiFrm.picRuler.Print Str$(intI / 8)
                    End If
                Case 1, 3, 5, 7
                    sngHeight = (240# / 1440#) / 4# ' convert to inches
                Case 2, 6
                    sngHeight = (240# / 1440#) / 2# ' convert to inches
                Case 4
                    sngHeight = ((240# / 1440#) * 3) / 4 ' convert to inches
            End Select
            mdiFrm.picRuler.Line (sngStartPos + (intI * 0.125), (.Height - 30) / 1440#)-(sngStartPos + (intI * 0.125), ((.Height - 30) / 1440#) - sngHeight)
        Next intI
    End With

    mdiFrm.picRuler.ScaleMode = 1 'twips

    ' loop through tabs
    For intI = 0 To mdiFrm.rtfRichTextBox1.SelTabCount - 1
        Dim intXCurTab As Integer 'current tab Left X coord
        Dim intYBot As Integer   ' Bottom Y coord
        Dim intYTop As Integer 'Top Y coord

        ' The tab value
        intXCurTab = mdiFrm.rtfRichTextBox1.SelTabs(intI)
        ' the bottom position of the tab box.
        intYBot = mdiFrm.picRuler.Height - 30
        ' the top position of the tab box.
        intYTop = intYBot - 60
        'draw tab.
        mdiFrm.picRuler.Line (intXCurTab, intYTop)-(intXCurTab + 60, intYBot), , BF
    Next intI
End Sub

'***************************************************
' Purpose:  Sets the font and size of the selected
'           text.
' Inputs:   strFontName:    The name of the new font.
'           strFontSize:    The size of the new font.
'***************************************************
Sub SetFont(strFontName As String, strFontSize As String)
    Dim intI As Integer
    For intI = 0 To frmMDIForm1.cboFontCombo.ListCount - 1
        If frmMDIForm1.cboFontCombo.List(intI) = strFontName Then
            frmMDIForm1.cboFontCombo.ListIndex = intI
            intI = frmMDIForm1.cboFontCombo.ListCount
        End If
    Next intI
    If Val(strFontSize) <= 70 And Val(strFontSize) >= 6 Then
        frmMDIForm1.cboSizeCombo.ListIndex = Val(strFontSize) - 6
    Else
        frmMDIForm1.cboSizeCombo.ListIndex = -1
    End If
End Sub

'***************************************************
' Purpose:  Checks to see if the tabs have changed
' Effects:  If the tabs have changed, the intOldTabs
'           array will be updated.
' Returns:  True if the tabs have changed.
'           False if they have not changed.
'***************************************************
Function TabsChanged() As Boolean
    Dim intI As Integer 'ctr
    Dim blnChanged As Boolean 'flag
    
    blnChanged = False 'default
    
    With rtfRichTextBox1
        If .SelTabCount = (UBound(intOldTabs) + 1) Then
            ' check one by one
            For intI = 0 To .SelTabCount - 1
                If CInt(.SelTabs(intI)) <> intOldTabs(intI) Then
                    blnChanged = True 'changed
                    intI = .SelTabCount 'exit loop
                End If
            Next intI
        Else
            ' tabs have changed
            blnChanged = True
        End If
    
        If blnChanged Then 'if changed
            TabsChanged = True 'set return value
    
            ' set current tabs as the old tabs
            ReDim intOldTabs(0 To .SelTabCount - 1)
            For intI = 0 To .SelTabCount - 1
                intOldTabs(intI) = .SelTabs(intI)
            Next intI
        Else
            TabsChanged = False 'set return value
        End If
    
    End With
End Function


'***************************************************
' Purpose:  Sets the default font size and name.
'***************************************************
Private Sub Form_Load()
    mblnLoading = True ' set loading flag
    ' set font info based on parents lists.
    rtfRichTextBox1.SelFontName = frmMDIForm1.cboFontCombo.TEXT
    rtfRichTextBox1.SelFontSize = frmMDIForm1.cboSizeCombo.TEXT
            
    ' set the width of the RTF control to about 7 inches
    rtfRichTextBox1.Width = (7# * 1440) + 120
    picRuler.Width = rtfRichTextBox1.Width
    picRuler.Left = rtfRichTextBox1.Left
    
    If frmMDIForm1.Width > 10450 Then
        Me.Width = 10450 ' set form size
    Else
        Me.WindowState = 2 ' maximize form
    End If

    'set tab list
    Dim intI As Integer ' counter
    rtfRichTextBox1.SelTabCount = 14
    ReDim intOldTabs(0 To rtfRichTextBox1.SelTabCount - 1)
    For intI = 1 To 14
        rtfRichTextBox1.SelTabs(intI - 1) = CSng(intI) * (0.5 * 1440)
        intOldTabs(intI - 1) = rtfRichTextBox1.SelTabs(intI - 1)
    Next intI
    mblnLoading = False ' Job is done, cancel the flag
    
    

    ' The following code makes the menu look as
    ' though it has a short-cut key, but it doesn't.
    Dim strMenu As String 'temp string
    strMenu = "&Undo" + Chr(9) + "Alt+Bksp" 'set string
    mnuEditUndo.Caption = strMenu ' set menu text to temp string
    
    strMenu = "Cu&t" + Chr(9) + "Shift+Del" 'set string
    mnuEditCut.Caption = strMenu ' set menu text to temp string
    
    strMenu = "&Copy" + Chr(9) + "Ctrl+Ins" 'set string
    mnuEditCopy.Caption = strMenu ' set menu text to temp string
    
    strMenu = "&Paste" + Chr(9) + "Shift+Ins" 'set string
    mnuEditPaste.Caption = strMenu ' set menu text to temp string
End Sub



'***************************************************
' Purpose:  Makes sure the RTF control is the right
'           size.
'***************************************************
Private Sub Form_Resize()
    If Me.WindowState <> 1 Then 'if not minimized
        Dim intHeight As Integer 'height
        ' set height variable
        intHeight = Me.Height - 960
        If intHeight > 0 Then ' validate variable
            ' set height of RTF control
            rtfRichTextBox1.Height = intHeight
        End If
    End If
End Sub


'***************************************************
' Purpose:  Makes sure that desired changes to the
'           text in the RTF control gets saved.
' Inputs:   intCancel:  A flag that can be set to
'           signal the application to cancel the
'           unload procedure.
'***************************************************
Private Sub Form_Unload(intCancel As Integer)
    ' form is unloading
    If rtfRichTextBox1.DataChanged Then
        'file has been changed.  Prompt for save.
        Select Case MsgBox("Do you want to save your changes to " & Me.Caption & "?", vbYesNoCancel + vbQuestion, "Document Has Changed")
            Case vbYes
                If Menu_FileSave(Me) = False Then
                    intCancel = True
                End If
                ReDim intOldTabs(0 To 0)
            Case vbCancel
                ' if the user chose cancel, don't
                ' unload the form
                intCancel = True
        End Select
    End If
End Sub


'***************************************************
' Purpose:  Clears the selected text.
' Effects:  The text is erased.
'***************************************************
Private Sub mnuEditClear_Click()
    rtfRichTextBox1.SelText = ""
End Sub


'***************************************************
' Purpose:  Calls the procedure that copies the
'           selected text to the Clipboard.
'***************************************************
Private Sub mnuEditCopy_Click()
    Menu_CopyText
End Sub


'***************************************************
' Purpose:  Calls the procedure that cuts the
'           selected text to the Clipboard.
' Effects:  The selected text will be deleted from
'           the RTF control.
'***************************************************
Private Sub mnuEditCut_Click()
    Menu_CutText
End Sub

'*************************************************
' Purpose:  Loads the find-text form
' Inputs:   It uses the selected text from the RTF
'           control.
' Returns:  Nothing.  Will highlight the found text.
'*************************************************
Private Sub mnuEditFind_Click()
    Menu_EditFind frmMDIForm1.ActiveForm, rtfRichTextBox1.SelText
End Sub

'***************************************************
' Purpose:  Calls the procedure that replaces the
'           selected text with the text in the
'           Clipboard.
' Effects:  The previously selected text will be
'           deleted.
'***************************************************
Private Sub mnuEditPaste_Click()
    Menu_PasteText
End Sub



'*************************************************
' Purpose:  Load the find/replace form.
' Effects:  May replace text in the RTF control.
' Inputs:   Uses the selected text on the RTF control
'           as the default find string.
'*************************************************
Private Sub mnuEditReplace_Click()
    Menu_EditReplace frmMDIForm1.ActiveForm, rtfRichTextBox1.SelText
End Sub

'*************************************************
' Purpose:  Undoes the last action of the user in
'           the RTF control.
'*************************************************
Private Sub mnuEditUndo_Click()
    ' Sends ALT-Backspace to the control.
    ' This is Window's UNDO key combination.
    SendKeys "%{BS}"
End Sub

'***************************************************
' Purpose:  Unloads the current form.
'***************************************************
Private Sub mnuFileClose_Click()
    Unload Me
End Sub

'***************************************************
' Purpose:  Calls the procedure that exits the
'           application.
'***************************************************
Private Sub mnuFileExit_Click()
    Menu_FileExit
End Sub

'***************************************************
' Purpose:  Calls the procedure that creates a new
'           file.
'***************************************************
Private Sub mnuFileNew_Click()
    Menu_FileNew
End Sub

'***************************************************
' Purpose:  Calls the procedure that opens a file.
'***************************************************
Private Sub mnuFileOpen_Click()
    Menu_FileOpen
End Sub


'*************************************************
' Purpose:  Calls the procedure that sets the margins.
'*************************************************
Private Sub mnuFilePageSetup_Click()
    Menu_FilePageSetup
End Sub

'***************************************************
' Purpose:  Calls the procedure that prints the
'           contents of the active window.
'***************************************************
Private Sub mnuFilePrint_Click()
    Menu_FilePrint Me
End Sub

'***************************************************
' Purpose:  Calls the procedure that saves the
'           contents of the RTF file in the current
'           form.
'***************************************************
Private Sub mnuFileSave_Click()
    Menu_FileSave Me
End Sub

'*************************************************
' Purpose:  Saves all RTF controls on the forms.
'*************************************************
Private Sub mnuFileSaveAll_Click()
    Dim intI As Integer 'counter
    Dim frm As Form 'current form variable
    For intI = 0 To Forms.Count - 1 'count forms
        Set frm = Forms(intI) 'set it into variable
        If frm.MDIChild = True Then 'if child
            Menu_FileSave Forms(intI) 'save it
        End If
    Next intI
End Sub

'***************************************************
' Purpose:  Saves the RTF file from the current form.
'***************************************************
Private Sub mnuFileSaveAs_Click()
    On Error GoTo CxlError2 'set error trap
    With frmMDIForm1.dlgCommonDialog1
        .CancelError = True 'set error trigger
        ' check to see if the file has a name yet.
        If InStr(Me.Caption, "(untitled)") > 0 Then
            ' it doesn't have a name, so give it a
            ' default name.
            .filename = "RTFDOC" & Right$(Me.Caption, 1) & ".RTF"
        Else
            ' make the default name the same as the
            ' current name.
            .filename = Me.Caption
        End If
        ' set up the common dialog to show RTF files.
        .Filter = "Rich Text Files (*.rtf)|*.rtf"
        ' set prompt if name exists
        .Flags = cdlOFNOverwritePrompt
        .ShowSave ' show the common dialog
        ' save the file using the name that the user
        ' entered into the common dialog
        Menu_FileSave Me, .filename
    End With
CxlError2: ' the user pressed cancel
    Exit Sub
End Sub


'*************************************************
' Purpose:  Calls the procedure that sets the bullets.
'*************************************************
Private Sub mnuFormatBullets_Click()
    Menu_FormatBullet Me
End Sub

'***************************************************
' Purpose:  Gets new font information from the user.
'***************************************************
Private Sub mnuFormatFont_Click()
    On Error GoTo CxlError5 ' set error trap
    With frmMDIForm1.dlgCommonDialog1
        ' set printer & screen fonts flag
        .Flags = cdlCFBoth
        ' force the selection of a real font
        .Flags = .Flags + cdlCFForceFontExist
        ' set the special effects flag
        .Flags = .Flags + cdlCFEffects
        .CancelError = True ' set error trigger
        ' set common dialog info to current values
        .FontName = frmMDIForm1.cboFontCombo.TEXT
        .FontSize = frmMDIForm1.cboSizeCombo.TEXT
        If rtfRichTextBox1.SelBold = True Then
            .FontBold = True
        End If
        If rtfRichTextBox1.SelItalic = True Then
            .FontItalic = True
        End If
        If rtfRichTextBox1.SelUnderline = True Then
            .FontUnderline = True
        End If
        If rtfRichTextBox1.SelStrikethru = True Then
            .FontStrikethru = True
        End If
        ' show font selection common dialog
        .ShowFont
        ' Get the new values from the dialog
        If .FontBold Then
            Menu_FormatBold Me, True
        End If
        If .FontItalic Then
            Menu_FormatItalic Me, True
        End If
        If .FontUnderline Then
            Menu_FormatUnderline Me, True
        End If
        If .FontStrikethru Then
            rtfRichTextBox1.SelStrikethru = True
        End If
        
        rtfRichTextBox1.SelColor = .Color
        ' set the font based on the selection
        Call SetFont(.FontName, .FontSize)
    End With
CxlError5: ' cancel selected
    Exit Sub
End Sub


'*************************************************
' Purpose:  Call the function to set the alignment.
'*************************************************
Private Sub mnuFormatParagraph_Click()
    Menu_FormatParagraph
End Sub

'*************************************************
' Purpose:  Load the form that sets the tabs.
'*************************************************
Private Sub mnuFormatTabs_Click()
    ' Show the form modally
    frmTabForm.Show 1
End Sub

'***************************************************
' Purpose:  Calls the procedure that displays the
'           credits.
'***************************************************
Private Sub mnuHelpAbout_Click()
    Menu_About
End Sub


'***************************************************
' Purpose:  Selects the entire contents of the RTF
'           control.
'***************************************************
Private Sub mnuEditSelectAll_Click()
    rtfRichTextBox1.SelStart = 0
    rtfRichTextBox1.SelLength = Len(rtfRichTextBox1.TEXT)
End Sub

'***************************************************
' Purpose:  Cascades the documents windows.
'***************************************************
Private Sub mnuWindowArrangeAll_Click()
    frmMDIForm1.Arrange vbCascade
End Sub

'***************************************************
' Purpose:  Calls the procedure that creates a new
'           file.
'***************************************************
Private Sub mnuWindowNewWindow_Click()
    Menu_FileNew
End Sub


'***************************************************
' Purpose:  Tiles the document windows horizontally.
'***************************************************
Private Sub mnuWindowSplit_Click()
    frmMDIForm1.Arrange vbTileHorizontal
End Sub




'***************************************************
' Purpose:  Make sure the ruler doesn't keep focus.
'***************************************************
Private Sub picRuler_GotFocus()
    rtfRichTextBox1.SetFocus
End Sub

'***************************************************
' Purpose:  Repaints the ruler.
'***************************************************
Private Sub picRuler_Paint()
    Call DrawRuler(Me, 0, 7)
End Sub


'***************************************************
' Purpose:  Sets the changed flag to indicate that
'           the contents RTF control has changed.
'***************************************************
Private Sub rtfRichTextBox1_Change()
    If mblnLoading <> True Then
        rtfRichTextBox1.DataChanged = True
    End If
End Sub




'***************************************************
' Purpose:  Calls the procedure that updates the
'           font lists and buttons.
'***************************************************
Private Sub rtfRichTextBox1_SelChange()
    UpdateTextInfo Me
    
    If TabsChanged Then
        DrawRuler Me, 0, 7
    End If
End Sub
