VERSION 4.00
Begin VB.Form frmFindForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Find"
   ClientHeight    =   2580
   ClientLeft      =   1260
   ClientTop       =   1920
   ClientWidth     =   7095
   Height          =   2985
   Left            =   1200
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2580
   ScaleWidth      =   7095
   ShowInTaskbar   =   0   'False
   Top             =   1575
   Width           =   7215
   Begin VB.TextBox txtFind 
      Height          =   285
      Left            =   1500
      TabIndex        =   1
      Top             =   120
      Width           =   3735
   End
   Begin VB.Frame fra1 
      Height          =   795
      Left            =   1500
      TabIndex        =   10
      Top             =   300
      Width           =   3735
   End
   Begin VB.ComboBox cboSearch 
      Height          =   300
      ItemData        =   "frmFindForm.frx":0000
      Left            =   1500
      List            =   "frmFindForm.frx":000D
      Style           =   2  'Dropdown List
      TabIndex        =   9
      Top             =   2160
      Width           =   1095
   End
   Begin VB.CommandButton cmdReplaceAll 
      Caption         =   "Replace All"
      Enabled         =   0   'False
      Height          =   375
      Left            =   5400
      TabIndex        =   7
      Top             =   1560
      Width           =   1575
   End
   Begin VB.CommandButton cmdReplace 
      Caption         =   "Replace"
      Height          =   375
      Left            =   5400
      TabIndex        =   6
      Top             =   1140
      Width           =   1575
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   5400
      TabIndex        =   5
      Top             =   540
      Width           =   1575
   End
   Begin VB.CommandButton cmdFindNext 
      Caption         =   "Find Next"
      Enabled         =   0   'False
      Height          =   375
      Left            =   5400
      TabIndex        =   4
      Top             =   120
      Width           =   1575
   End
   Begin VB.TextBox txtReplace 
      Enabled         =   0   'False
      Height          =   285
      Left            =   1500
      TabIndex        =   3
      Top             =   1140
      Width           =   3735
   End
   Begin VB.Frame fra2 
      Height          =   795
      Left            =   1500
      TabIndex        =   11
      Top             =   1320
      Width           =   3735
   End
   Begin VB.Label lbl3 
      Caption         =   "&Search:"
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   0
         weight          =   700
         size            =   8.25
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   180
      TabIndex        =   8
      Top             =   2160
      Width           =   1275
   End
   Begin VB.Label lblReplace 
      Caption         =   "Re&place With:"
      Enabled         =   0   'False
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   0
         weight          =   700
         size            =   8.25
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   180
      TabIndex        =   2
      Top             =   1140
      Width           =   1275
   End
   Begin VB.Label lbl1 
      Caption         =   "Fi&nd What:"
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   0
         weight          =   700
         size            =   8.25
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   180
      TabIndex        =   0
      Top             =   180
      Width           =   975
   End
End
Attribute VB_Name = "frmFindForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

'*************************************************
' Purpose:  Finds a string in the text and replaces
'           it if necessary.
' Effects:  Text on the calling form may change.
' Inputs:   strFind:    The text to find
'           strReplace: The text to replace the found
'                       text with
'           intStart:   Starting position to search
'           intEnd:     Ending extent of search
' Returns:  True if text was found (and replaced)
'           Flase if no text was found.
'*************************************************
Function FindString(strFind As String, strReplace As String, lngStart As Long, lngEnd As Long) As Boolean
    Dim lngPos As Long 'position
    With frmMDIForm1.ActiveForm.rtfRichTextBox1
        ' locate search string
        lngPos = InStr(lngStart, .TEXT, strFind, 1)
        If lngPos = 0 Then
            ' not found
            FindString = False
        Else
            ' it's found, but is it past the end of
            ' the region that we're concerned with
            If Not ((lngPos + Len(strFind)) > lngEnd) Then
                ' it in bounds
                FindString = True
                .SelStart = lngPos - 1
                .SelLength = Len(strFind)
                ' if the replace string is blank
                ' then this is just a find.
                If strReplace <> "" Then 'Replace It
                    .SelText = strReplace
                End If
            End If
        End If
    End With
End Function

'*************************************************
' Purpose:  Unloads the form
'*************************************************
Private Sub cmdCancel_Click()
    Unload Me
End Sub

'*************************************************
' Purpose:  Sets up the call to Find a string.
'*************************************************
Private Sub cmdFindNext_Click()
    Dim lngLen As Long ' ending position
    Dim lngStart As Long ' starting position

    ' set end to the length of the text in the box.
    lngLen = Len(frmMDIForm1.ActiveForm.rtfRichTextBox1.TEXT)

    Select Case cboSearch.ListIndex
        Case 0 'search all
            lngStart = 1
        Case 1 'search backward
            lngStart = 1
            ' set the end to the end of the current selection.
            lngLen = frmMDIForm1.ActiveForm.rtfRichTextBox1.SelStart
            lngLen = lngLen + frmMDIForm1.ActiveForm.rtfRichTextBox1.SelLength
        Case 2 'search forward
            ' set the start to the end of the current selection
            lngStart = frmMDIForm1.ActiveForm.rtfRichTextBox1.SelStart
            lngStart = lngStart + frmMDIForm1.ActiveForm.rtfRichTextBox1.SelLength
    End Select
    
    'Call the function to do the find.
    If Not FindString(txtFind.TEXT, "", lngStart, lngLen) Then
        MsgBox "Match Not Found", 0, "Find"
    Else
        Unload Me
    End If
End Sub

'*************************************************
' Purpose:  Set's up the parameters to call the function
'           to replace a string.
'*************************************************
Private Sub cmdReplace_Click()
    Dim lngLen As Long ' ending pos
    Dim lngStart As Long ' starting pos

    ' set end to the length of the text in the box
    lngLen = Len(frmMDIForm1.ActiveForm.rtfRichTextBox1.TEXT)

    Select Case cboSearch.ListIndex
        Case 0 'search all
            lngStart = 1
        Case 1 'search backward
            lngStart = 1
            ' set end to the end of the selection
            lngLen = frmMDIForm1.ActiveForm.rtfRichTextBox1.SelStart
            lngLen = lngLen + frmMDIForm1.ActiveForm.rtfRichTextBox1.SelLength
        Case 2 'search forward
            ' set the beginning to the end of the selection
            lngStart = frmMDIForm1.ActiveForm.rtfRichTextBox1.SelStart
            lngStart = lngStart + frmMDIForm1.ActiveForm.rtfRichTextBox1.SelLength
    End Select

    'call the function to do the replace
    If Not FindString(txtFind.TEXT, txtReplace.TEXT, lngStart, lngLen) Then
        MsgBox "Match Not Found", 0, "Replace"
    Else
        Unload Me
    End If
End Sub

'*************************************************
' Purpose:  Set's up the call to the function that
'           will replace the text, and calls it
'           until no more replacements exist.
'*************************************************
Private Sub cmdReplaceAll_Click()
    Dim lngLen As Long 'ending pos
    Dim lngStart As Long ' starting pos
    Dim strMsg As String ' temp string for prompt
    ' build warning prompt
    strMsg = "This process will begin at the top"
    strMsg = strMsg & " of your document"
    strMsg = strMsg & " and replace everything."
    strMsg = strMsg & "  Do you want to continue?"
    ' Ask the user if he/she is sure.
    If MsgBox(strMsg, vbYesNo, "Are You Sure?") = vbYes Then
        'User is sure, replace everything.
        Do
            If lngStart = 0 Then
                lngStart = 1
            Else
                ' Set the new starting position
                ' to the end of the selection
                lngStart = frmMDIForm1.ActiveForm.rtfRichTextBox1.SelStart
                lngStart = lngStart + frmMDIForm1.ActiveForm.rtfRichTextBox1.SelLength
            End If
            ' set the end to the end of the doc
            lngLen = Len(frmMDIForm1.ActiveForm.rtfRichTextBox1.TEXT)
        ' loop while replacements are made
        Loop While FindString(txtFind.TEXT, txtReplace.TEXT, lngStart, lngLen)
    End If
    ' unload form
    Unload Me
End Sub


'*************************************************
' Purpose:  Initialize form
'*************************************************
Private Sub Form_Load()
    ' set default search to 'All'
    cboSearch.ListIndex = 0
End Sub


'*************************************************
' Purpose:  Enable or Disable buttons.
'*************************************************
Private Sub txtFind_Change()
    If Len(txtFind.TEXT) > 0 Then
        ' search text exists, enable FindNext button
        cmdFindNext.Enabled = True
    Else
        ' no search text exists, disable
        ' FindNext button
        cmdFindNext.Enabled = False
    End If
End Sub


'*************************************************
' Purpose:  Select the entire contents of the box.
'*************************************************
Private Sub txtFind_GotFocus()
    txtFind.SelStart = 0
    txtFind.SelLength = Len(txtFind.TEXT)
End Sub


'*************************************************
' Purpose:  Enables or disables buttons.
'*************************************************
Private Sub txtReplace_Change()
    If Len(txtReplace.TEXT) > 0 Then
        ' replace text exists, enable buttons
        cmdReplace.Enabled = True
        cmdReplaceAll.Enabled = True
    Else
        ' no replace text exists, disable buttons
        cmdReplace.Enabled = False
        cmdReplaceAll.Enabled = False
    End If
End Sub

'*************************************************
' Purpose:  Select the entire contents of the box.
'*************************************************
Private Sub txtReplace_GotFocus()
    txtReplace.SelStart = 0
    txtReplace.SelLength = Len(txtReplace.TEXT)
End Sub


